commit:     8b01ab8d909f89fa083dba2af54d205fc24c8ae5
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sun Nov  1 01:31:25 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Nov  8 11:53:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b01ab8d

media-gfx/gimp: 2.99.2 version bump, unstable development preview

This package could be non-keyworded as depends on
>=media-libs/gegl-0.27 that isn't yet released.
But GIMP developers noticed me that it was small oversight
on tarball package and it's still compatible with gegl-0.4.26.
The dependency therefore is dropped to gegl-0.4.26.

Add patch to fix compatibility with upcoming autoconf-2.70.

Bug: https://bugs.gentoo.org/750575

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/gimp/Manifest                            |   1 +
 .../gimp/files/gimp-2.99.2_fix_autoconf-2.70.patch |  58 +++++
 media-gfx/gimp/gimp-2.99.2.ebuild                  | 249 +++++++++++++++++++++
 3 files changed, 308 insertions(+)

diff --git a/media-gfx/gimp/Manifest b/media-gfx/gimp/Manifest
index 618871c2516..fbbacddfe9d 100644
--- a/media-gfx/gimp/Manifest
+++ b/media-gfx/gimp/Manifest
@@ -1,2 +1,3 @@
 DIST gimp-2.10.20.tar.bz2 33108938 BLAKE2B 
060c0e46e6f4ac861de265842d545285c2fa4590908172971ef240ae87f8caa2c015447deee810fef59c4869810676daae2e40aa611062168feffe38c7cd9b22
 SHA512 
7cd0b1833af87a167fdfee59fb491a72727fe3071c21c0de1813adb0f8272a92473e1e300517395b1b4593c8cb6781ee30f7a63966756e5a7f523a164308aba6
 DIST gimp-2.10.22.tar.bz2 33152226 BLAKE2B 
d11b0ee8f0f24934383028a0b21820af30da6133814d64b67981888086f3eaa4378e474ff801db046f2fe5d380325ac7279df6e749d100219e2f6558c9bdf10d
 SHA512 
13841ac4a186df47e4155095ca888a903b2db9e25a73fbb834fe981ccf915cb67a3e08506e5c13b6c5f35e27b1de24befbccf871e438b1a35f67f069bebd8fd0
+DIST gimp-2.99.2.tar.bz2 32375596 BLAKE2B 
3dc5af7935e3503106cf2020798974d68fe86e5034792b09683519502474022e3a7832f418dfcdb4a022e6ebe878bb567bfbbbe51a96f0ae76375adc0dfdd6e5
 SHA512 
0a773ab01427abfb1b7690e855a041dc4883630fc827ce9d83169ccc5b4f925ecb9a0a16928a9c0ed0592c2c351ced5832e212d3115475c0f7a6092822adc194

diff --git a/media-gfx/gimp/files/gimp-2.99.2_fix_autoconf-2.70.patch 
b/media-gfx/gimp/files/gimp-2.99.2_fix_autoconf-2.70.patch
new file mode 100644
index 00000000000..732cd9381ae
--- /dev/null
+++ b/media-gfx/gimp/files/gimp-2.99.2_fix_autoconf-2.70.patch
@@ -0,0 +1,58 @@
+From cebeb90a87105cd6e35bcb357d53cc04c828ca21 Mon Sep 17 00:00:00 2001
+From: Sergei Trofimovich <[email protected]>
+Date: Sun, 25 Oct 2020 18:09:21 +0000
+Subject: [PATCH] configure.ac: fix `--with-linux-input` handling with upcoming
+ autoconf-2.70
+
+Upcoming autoconf-2.70 exposes deficiency in configure.ac:
+
+```
+$ autoconf-2.70_beta2 && ./configure --host=x86_64-pc-linux-gnu
+./configure: line 1430: 5: Bad file descriptor
+checking whether  is declared... ./configure: line 1432: ${+y}: bad
+```
+
+It happens because macros are called with parameters using insufficient 
quoting.
+
+More details at 
https://lists.gnu.org/archive/html/bug-autoconf/2020-10/msg00027.html
+
+The fix only amends `--with-linux-input`. Other cases of underquoting
+will need to be handled separately.
+
+Fix-by: Zack Weinberg
+Signed-off-by: Sergei Trofimovich <[email protected]>
+---
+ configure.ac | 17 ++++++++---------
+ 1 file changed, 8 insertions(+), 9 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 96312f706e..63b85be07a 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -2135,15 +2135,14 @@ fi
+ AC_ARG_WITH(linux-input, [  --without-linux-input   don't build linux input 
event controller module])
+ 
+ have_linux_input="no (linux input support disabled)"
+-if test "x$with_linux_input" != "xno"; then
+-  AC_CHECK_HEADER(linux/input.h,
+-      AC_CHECK_DECL(KEY_OK,
+-              have_linux_input=yes,
+-              have_linux_input="no (needs Linux 2.6)",
+-              [#include <linux/input.h>]))
+-fi
+-
+-AM_CONDITIONAL(HAVE_LINUX_INPUT, test "x$have_linux_input" = xyes)
++AS_IF([test "x$with_linux_input" != "xno"],
++  [AC_CHECK_HEADER([linux/input.h],
++    [AC_CHECK_DECL([KEY_OK],
++                   [have_linux_input=yes],
++                   [have_linux_input="no (needs Linux 2.6)"],
++                   [#include <linux/input.h>])])])
++
++AM_CONDITIONAL([HAVE_LINUX_INPUT], [test "x$have_linux_input" = xyes])
+ 
+ 
+ ###############################
+-- 
+GitLab
+

diff --git a/media-gfx/gimp/gimp-2.99.2.ebuild 
b/media-gfx/gimp/gimp-2.99.2.ebuild
new file mode 100644
index 00000000000..5f20dbd1c5f
--- /dev/null
+++ b/media-gfx/gimp/gimp-2.99.2.ebuild
@@ -0,0 +1,249 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+GNOME2_EAUTORECONF=yes
+VALA_MIN_API_VERSION="0.40"
+VALA_USE_DEPEND=vapigen
+
+inherit autotools gnome2 python-single-r1 toolchain-funcs vala virtualx
+
+DESCRIPTION="GNU Image Manipulation Program"
+HOMEPAGE="https://www.gimp.org/";
+SRC_URI="mirror://gimp/v2.99/${P}.tar.bz2"
+LICENSE="GPL-3 LGPL-3"
+SLOT="0/3"
+KEYWORDS="~amd64"
+
+IUSE="aalib alsa aqua debug doc gnome heif javascript jpeg2k lua mng openexr 
postscript python udev unwind vala vector-icons webp wmf xpm 
cpu_flags_ppc_altivec cpu_flags_x86_mmx cpu_flags_x86_sse"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RESTRICT="!test? ( test )"
+
+# media-libs/{babl,gegl} are required to be built with USE="introspection"
+# to fix the compilation checking of 
/usr/share/gir-1.0/{Babl-0.1gir,Gegl-0.4.gir}
+COMMON_DEPEND="
+       >=app-text/poppler-0.90.1[cairo]
+       >=app-text/poppler-data-0.4.9
+       >=dev-libs/atk-2.34.1
+       >=dev-libs/glib-2.62.6:2
+       >=dev-libs/json-glib-1.4.4
+       dev-libs/libxml2:2
+       dev-libs/libxslt
+       >=gnome-base/librsvg-2.40.21:2
+       >=media-gfx/mypaint-brushes-2.0.2:=
+       >=media-libs/babl-0.1.78[introspection,lcms,vala?]
+       >=media-libs/fontconfig-2.12.6
+       >=media-libs/freetype-2.10.2
+       >=media-libs/gegl-0.4.26:0.4[cairo,introspection,lcms,vala?]
+       >=media-libs/gexiv2-0.10.10
+       >=media-libs/harfbuzz-2.6.5
+       >=media-libs/lcms-2.9:2
+       >=media-libs/libmypaint-1.6.1:=
+       >=media-libs/libpng-1.6.37:0=
+       >=media-libs/tiff-4.1.0:0
+       net-libs/glib-networking[ssl]
+       sys-libs/zlib
+       virtual/jpeg
+       >=x11-libs/cairo-1.16.0
+       >=x11-libs/gdk-pixbuf-2.40.0:2
+       >=x11-libs/gtk+-3.24.16:3
+       x11-libs/libXcursor
+       >=x11-libs/pango-1.42.4
+       aalib? ( media-libs/aalib )
+       alsa? ( >=media-libs/alsa-lib-1.0.0 )
+       aqua? ( >=x11-libs/gtk-mac-integration-2.0.0 )
+       heif? ( >=media-libs/libheif-1.7.0:= )
+       javascript? ( dev-libs/gjs )
+       jpeg2k? ( >=media-libs/openjpeg-2.3.1:2= )
+       lua? (
+               dev-lang/luajit
+               dev-lua/lgi
+       )
+       mng? ( media-libs/libmng:= )
+       openexr? ( >=media-libs/openexr-2.3.0:= )
+       postscript? ( app-text/ghostscript-gpl )
+       python? (
+               ${PYTHON_DEPS}
+               $(python_gen_cond_dep '
+                       >=dev-python/pygobject-3.0:3[${PYTHON_MULTI_USEDEP}]
+               ')
+       )
+       udev? ( >=dev-libs/libgudev-167:= )
+       unwind? ( >=sys-libs/libunwind-1.1.0:= )
+       webp? ( >=media-libs/libwebp-0.6.0:= )
+       wmf? ( >=media-libs/libwmf-0.2.8 )
+       xpm? ( x11-libs/libXpm )
+"
+
+RDEPEND="
+       ${COMMON_DEPEND}
+       x11-themes/hicolor-icon-theme
+       gnome? ( gnome-base/gvfs )
+"
+
+DEPEND="
+       ${COMMON_DEPEND}
+       >=dev-lang/perl-5.30.3
+       >=dev-libs/appstream-glib-0.7.16
+       dev-util/gdbus-codegen
+       dev-util/gtk-update-icon-cache
+       >=dev-util/intltool-0.51.0
+       sys-apps/findutils
+       >=sys-devel/autoconf-2.54
+       >=sys-devel/automake-1.11
+       >=sys-devel/gettext-0.21
+       >=sys-devel/libtool-2.4.6
+       virtual/pkgconfig
+       doc? (
+               >=dev-util/gtk-doc-1.32
+               dev-util/gtk-doc-am
+       )
+       vala? ( $(vala_depend) )
+"
+
+DOCS=( "AUTHORS" "HACKING" "NEWS" "README" "README.i18n" )
+
+# Bugs 685210 (and duplicate 691070)
+PATCHES=(
+       "${FILESDIR}/${PN}-2.10_fix_test-appdata.patch"
+       "${FILESDIR}/${P}_fix_autoconf-2.70.patch"
+)
+
+pkg_setup() {
+       if use python; then
+               python-single-r1_pkg_setup
+       fi
+}
+
+src_prepare() {
+       sed -i -e 's/\[gegl_micro_version\], \[27\]/\[gegl_micro_version\], 
\[26\]/' configure.ac || die
+
+       sed -i -e 's/mypaint-brushes-1.0/mypaint-brushes-2.0/' configure.ac || 
die #737794
+
+       sed -i -e 's/== "xquartz"/= "xquartz"/' configure.ac || die #494864
+       sed 's:-DGIMP_DISABLE_DEPRECATED:-DGIMP_protect_DISABLE_DEPRECATED:g' 
-i configure.ac || die #615144
+
+       gnome2_src_prepare  # calls eautoreconf
+
+       use vala && vala_src_prepare
+
+       sed 's:-DGIMP_protect_DISABLE_DEPRECATED:-DGIMP_DISABLE_DEPRECATED:g' 
-i configure || die #615144
+       fgrep -q GIMP_DISABLE_DEPRECATED configure || die #615144, self-test
+
+       export CC_FOR_BUILD="$(tc-getBUILD_CC)"
+}
+
+_adjust_sandbox() {
+       # Bugs #569738 and #591214
+       local nv
+       for nv in /dev/nvidia-uvm /dev/nvidiactl /dev/nvidia{0..9} ; do
+               # We do not check for existence as they may show up later
+               # https://bugs.gentoo.org/show_bug.cgi?id=569738#c21
+               addwrite "${nv}"
+       done
+
+       addwrite /dev/dri/  # bugs #574038 and #684886
+       addwrite /dev/ati/  # bug #589198
+       addwrite /proc/mtrr  # bug #589198
+}
+
+src_configure() {
+       _adjust_sandbox
+
+       local myconf=(
+               GEGL="${EPREFIX}"/usr/bin/gegl-0.4
+               GDBUS_CODEGEN="${EPREFIX}"/usr/bin/gdbus-codegen
+
+               --enable-default-binary
+
+               --disable-check-update
+               --enable-mp
+               --with-appdata-test
+               --with-bug-report-url=https://bugs.gentoo.org/
+               --with-xmc
+               --without-libbacktrace
+               --without-webkit
+               --without-xvfb-run
+               $(use_enable cpu_flags_ppc_altivec altivec)
+               $(use_enable cpu_flags_x86_mmx mmx)
+               $(use_enable cpu_flags_x86_sse sse)
+               $(use_enable doc gtk_doc)
+               $(use_enable vector-icons)
+               $(use_with aalib aa)
+               $(use_with alsa)
+               $(use_with !aqua x)
+               $(use_with heif libheif)
+               $(use_with javascript)
+               $(use_with jpeg2k jpeg2000)
+               $(use_with lua)
+               $(use_with mng libmng)
+               $(use_with openexr)
+               $(use_with postscript gs)
+               $(use_with python)
+               $(use_with udev gudev)
+               $(use_with unwind libunwind)
+               $(use_with vala)
+               $(use_with webp)
+               $(use_with wmf)
+               $(use_with xpm libxpm)
+       )
+
+       gnome2_src_configure "${myconf[@]}"
+}
+
+src_compile() {
+       export XDG_DATA_DIRS="${EPREFIX}"/usr/share  # bug 587004
+       gnome2_src_compile
+}
+
+# for https://bugs.gentoo.org/664938
+_rename_plugins() {
+       einfo 'Renaming plug-ins to not collide with pre-2.10.6 file layout 
(bug #664938)...'
+       local prepend=gimp-org-
+       (
+               cd "${ED%/}"/usr/$(get_libdir)/gimp/2.99/plug-ins || exit 1
+               for plugin_slash in $(ls -d1 */); do
+                   plugin=${plugin_slash%/}
+                   if [[ -f ${plugin}/${plugin} ]]; then
+                       # NOTE: Folder and file name need to match for Gimp to 
load that plug-in
+                       #       so "file-svg/file-svg" becomes 
"${prepend}file-svg/${prepend}file-svg"
+                       mv ${plugin}/{,${prepend}}${plugin} || exit 1
+                       mv {,${prepend}}${plugin} || exit 1
+                   fi
+               done
+       )
+}
+
+src_test() {
+       virtx emake check
+}
+
+src_install() {
+       gnome2_src_install
+
+       if use python; then
+               python_optimize
+       fi
+
+       # Workaround for bug #321111 to give GIMP the least
+       # precedence on PDF documents by default
+       mv "${ED%/}"/usr/share/applications/{,zzz-}gimp.desktop || die
+
+       find "${D}" -name '*.la' -type f -delete || die
+
+       # Prevent dead symlink gimp-console.1 from downstream man page 
compression (bug #433527)
+       mv "${ED%/}"/usr/share/man/man1/gimp-console{-*,}.1 || die
+
+       _rename_plugins || die
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+       gnome2_pkg_postrm
+}

Reply via email to